<template>
  <div class="padre">
    <h3>Componente Padre</h3>
    <p>Contador: {{ count }}</p>
    <Hijo />
  </div>
</template>

<script>
import Hijo from "./Hijo.vue";
import { mapState } from "vuex";

export default {
  components: {
    Hijo,
  },
  computed: {
    ...mapState(["count"]),
  },
};
</script>

<style scoped>
.padre {
  text-align: center;
  border: 3px solid;
  padding: 15px;
}
</style>
